commit:     f7b5c93f075e2d089c65dc56a13b2f1ccb1b8a35
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 22 09:01:24 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 22 09:03:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7b5c93f

dev-python/reportlab: Bump to 3.5.42

Bug: https://bugs.gentoo.org/710738
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/reportlab/Manifest                |  1 +
 dev-python/reportlab/reportlab-3.5.42.ebuild | 59 ++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index 154a2080320..8e8f474e616 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,2 +1,3 @@
 DIST pfbfer-20070710.zip 677333 BLAKE2B 
100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df
 SHA512 
6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
 DIST reportlab-3.5.13.tar.gz 2842790 BLAKE2B 
1457b5eb18d2f294decd7bbee202f42900a443eb7a31c2af56cc2180154e1bb48c4044c499b14489c23210e78c9bafb3fbbcd0c5a28f1d2e25f57d91dcb48526
 SHA512 
50afcdb5e844cc7ec5c1cf72ca28556e98ad721dce5b20cfb32fa720d56b221b9bd2662a88ea5647b11306d80e653334635b54165daa02d3062cf9d051bbd24b
+DIST reportlab-3.5.42.tar.gz 2883081 BLAKE2B 
22f4e7ebc233895a036eeb94c5beb9206be561a8a44895b36291a4f840603a2fec90107ac60e749f99be629202801c63ff67d5034d19b42383f2df12d457104d
 SHA512 
f52717867190bf7812fd566d9ec3044198db809cdd0f53cc9dbfa92503a202540db659369e20bba3de07cd28eb10515d03b85700ac138c9394dc9eed1f08b8f8

diff --git a/dev-python/reportlab/reportlab-3.5.42.ebuild 
b/dev-python/reportlab/reportlab-3.5.42.ebuild
new file mode 100644
index 00000000000..ae55110a73a
--- /dev/null
+++ b/dev-python/reportlab/reportlab-3.5.42.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools for generating printable PDF documents from any data source"
+HOMEPAGE="
+       https://www.reportlab.com/
+       https://pypi.org/project/reportlab/
+       https://bitbucket.org/rptlab/reportlab/";
+SRC_URI="
+       mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz
+       https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       media-libs/libart_lgpl:=
+       sys-libs/zlib:=
+"
+RDEPEND="
+       dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? ( ${RDEPEND} )
+       app-arch/unzip
+"
+RDEPEND+=${DEPEND}
+
+distutils_enable_sphinx docs/source
+
+src_unpack() {
+       unpack ${P}.tar.gz
+       cd ${P}/src/reportlab/fonts || die
+       unpack pfbfer-20070710.zip
+}
+
+src_prepare() {
+       # tests requiring Internet access
+       sed -i -e 's:test0:_&:' \
+               tests/test_platypus_general.py \
+               tests/test_platypus_images.py || die
+       sed -i -e 's:test9:_&:' tests/test_lib_utils.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pushd tests > /dev/null || die
+       "${EPYTHON}" runAll.py || die "Testing failed with ${EPYTHON}"
+       popd > /dev/null || die
+}

Reply via email to